Bug 1178969 - RFE: allow langpacks to be configured with something that isn't in a yum directory.
Summary: RFE: allow langpacks to be configured with something that isn't in a yum dire...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-langpacks
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1114422
Blocks: 1051816
TreeView+ depends on / blocked
 
Reported: 2015-01-05 19:37 UTC by David Shea
Modified: 2015-08-13 09:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-13 09:15:05 UTC


Attachments (Terms of Use)

Description David Shea 2015-01-05 19:37:03 UTC
Currently, dnf-langpacks configuration is stored in /var/lib/yum/plugins/langpacks/installed_langpacks. Given that /var/lib/yum/plugins is owned by yum and yum is supposed to go away for F22, this is not ideal. Please provide a way to configure dnf-langpacks that does not depend on yum.

Comment 1 Parag Nemade 2015-01-06 03:23:48 UTC
The langpacks configuration part is still missing as we need some feature to be developed first in dnf. I am waiting for it. Once its done I will add code to handle this in dnf-langpacks.

The /var/lib/yum/plugins/langpacks/installed_langpacks is just storing the installed langpacks information and not used by any other code in Fedora 22. This file is needed as if user is using both the yum-langpacks or dnf-langpacks then the system remain consistent with the installed langpack packages information.

Comment 2 Parag Nemade 2015-01-06 08:24:20 UTC
Like we have /etc/yum/pluginconf.d/langpacks.conf configuration file, dnf-langpacks also need to add /etc/dnf/plugins/langpacks.conf file but this will work only when bug 1114422 gets fixed.

Comment 3 Parag Nemade 2015-02-03 15:41:00 UTC
I have added langpacks.conf file in dnf-langpacks-0.7.0 but its like dummy file. The functionality that I need from dnf API's to get the langpacks.conf working is pending in bug 1114422.

Comment 4 Parag Nemade 2015-03-20 15:53:30 UTC
Note: dnf-langpacks now installing /etc/dnf/plugins/langpacks.conf file. Anaconda need to write languages to this file similarly it is doing for yum-langpacks.

Then Anaconda will only writing the added languages to /etc/dnf/plugins/langpacks.conf file which we need but the packages for those languages will not get installed due to blocking bug 1114422.

Comment 5 Parag Nemade 2015-03-31 05:49:57 UTC
David,
   I think we need this to be fixed soon and before F22 Final Freeze. May I know what changes are required from dnf-langpacks side?
   I got a bug comment where user experienced nothing is written to /etc/dnf/plugins/langpacks.conf file. If I will get this coded in dnfpayload.py then I can further work on other dnf-langpacks bugs.

Comment 6 David Shea 2015-03-31 15:51:22 UTC
If dnf-langpacks is able to use the config file in /etc/dnf/plugins, and if that path can be overriden by the pluginconfpath setting in https://github.com/rpm-software-management/dnf/pull/240, then that should be all that's needed from dnf-langpacks. There are a lot of issues with dnfpayload.py right now so the langpack configuration has not been a priority.

Comment 7 Parag Nemade 2015-07-17 09:10:11 UTC
David,
   Can you please share the update on this issue? For Fedora 22, dnf was new so we missed this bug fix, fair enough, but we need this implemented in Fedora 23 now. Two weeks back we had discussion with Jiri Eischmann who expressed the need to have langpacks plugin working. This will help people to get language translations for example when someone installs a desktop in Czech and then starts libreoffice he will not see its UI in Czech.

Also, currently dnf is installing /etc/dnf/plugins/langpacks.conf file, do you want this file moved to some other location? That is the standard location and also dnf.conf is installed under /etc directory.

Note dnf langpacks plugin now reads langpacks.conf file.

Comment 8 David Shea 2015-07-17 17:58:40 UTC
https://github.com/rhinstaller/anaconda/pull/222

Comment 9 Parag Nemade 2015-08-13 09:15:05 UTC
I confirm that this bug is fixed now. Thank you very much David for helping to add langpacks code for dnf-langpacks in anaconda.
Tested with Fedora 23 Alpha Server install DVD that selected additional languages which are getting written in /etc/dnf/plugins/langpacks.conf file.


Note You need to log in before you can comment on or make changes to this bug.